Subject: bug#63427: gdk-pixbuf unable to recognize image formats (JPG, PNG, etc.)

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 15 Jan 2025 14:26:43 +0900

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

> Hi Liliana and all.  Until now the user could decide what image loaders
> to install alongside.  Or so I thought.  However, surprisingly I cannot
> get any other loader except gdk-pixbuf and librsvg to work anyway.
>
> That is,
>
> guix shell viewnior webp-pixbuf-loader
>
> surprisingly does not see webp files.  I do not understand.

Try again with:

--8<---------------cut here---------------start------------->8---
guix shell viewnior gdk-pixbuf webp-pixbuf-loader
--8<---------------cut here---------------end--------------->8---

You need to add gdk-pixbuf as the GDK_PIXBUF_MODULE_FILE search path is
defined on this package, and this currently gets computed per-profile.

-- 
Thanks,
Maxim